org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.ComplexEventPatternElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.ComplexEventPatternElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.ComplexEventPatternElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexEventPatternElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Keyword` | `getAsKeyword_6()`
    `org.eclipse.xtext.Assignment` | `getComplexEventExpressionAssignment_7()`
    `org.eclipse.xtext.RuleCall` | `getComplexEventExpressionComplexEventExpressionParserRuleCall_7_0()`
    `org.eclipse.xtext.Keyword` | `getComplexEventKeyword_0()`
    `org.eclipse.xtext.Assignment` | `getContextAssignment_8_1()`
    `org.eclipse.xtext.RuleCall` | `getContextContextEnumRuleCall_8_1_0()`
    `org.eclipse.xtext.Keyword` | `getContextKeyword_8_0()`
    `org.eclipse.xtext.Group` | `getGroup_8()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftCurlyBracketKeyword_5()`
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_2()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()`
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_3()`
    `org.eclipse.xtext.RuleCall` | `getParametersTypedParameterListParserRuleCall_3_0()`
    `org.eclipse.xtext.Keyword` | `getRightCurlyBracketKeyword_9()`
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_4()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexEventPatternElements

          public ComplexEventPatternElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getComplexEventKeyword_0

          public org.eclipse.xtext.Keyword getComplexEventKeyword_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getLeftParenthesisKeyword_2

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_2()

    - #### getParametersAssignment_3

          public org.eclipse.xtext.Assignment getParametersAssignment_3()

    - #### getParametersTypedParameterListParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getParametersTypedParameterListParserRuleCall_3_0()

    - #### getRightParenthesisKeyword_4

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_4()

    - #### getLeftCurlyBracketKeyword_5

          public org.eclipse.xtext.Keyword getLeftCurlyBracketKeyword_5()

    - #### getAsKeyword_6

          public org.eclipse.xtext.Keyword getAsKeyword_6()

    - #### getComplexEventExpressionAssignment_7

          public org.eclipse.xtext.Assignment getComplexEventExpressionAssignment_7()

    - #### getComplexEventExpressionComplexEventExpressionParserRuleCall_7_0

          public org.eclipse.xtext.RuleCall getComplexEventExpressionComplexEventExpressionParserRuleCall_7_0()

    - #### getGroup_8

          public org.eclipse.xtext.Group getGroup_8()

    - #### getContextKeyword_8_0

          public org.eclipse.xtext.Keyword getContextKeyword_8_0()

    - #### getContextAssignment_8_1

          public org.eclipse.xtext.Assignment getContextAssignment_8_1()

    - #### getContextContextEnumRuleCall_8_1_0

          public org.eclipse.xtext.RuleCall getContextContextEnumRuleCall_8_1_0()

    - #### getRightCurlyBracketKeyword_9

          public org.eclipse.xtext.Keyword getRightCurlyBracketKeyword_9()